コンテンツへスキップ

Sad Talker

統合

モデルID sadtalker
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sadtalker?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg",
    "driven_audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

1 回の実行につき最大 $4.50 実際の使用量に応じて課金され、残額は返金されます このページで実行

APIキーを取得
Open model リップシンクとアバター リップシンク #animation

音声ファイルで駆動する、1枚の顔画像から会話動画を作成します

Open model · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 source_image_url
ファイルをドロップ、または

ソース画像の場所を示すURL。

•必須
ファイルをドロップ、または

駆動音声を指すURL。

詳細設定 face_model_resolution · preprocess · face_enhancer · pose_style · expression_scale · still_mode
face_model_resolution デフォルト 256

顔モデルが使用する解像度。

preprocess デフォルト crop

適用する前処理方法。

適用する顔補正の種類。

デフォルト 0

ポーズに使用するスタイル。

デフォルト 1

表情のスケーリング係数。

POST /run/sadtalker?wait=20 見積もり → $4.50
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sadtalker?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg",
    "driven_audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Sad Talkerについて

`source_image_url`のポートレートと`driven_audio_url`の音声から、話す顔の動画を生成します。`pose_style`(0から45)、`expression_scale`(0から3)、`face_model_resolution`(256または512)、頭部の動きを抑える`still_mode`、`preprocess`(crop、extcrop、resize、full、extfull)を調整できます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
source_image_url必須 image
型url · image
ソース画像の場所を示すURL。
driven_audio_url必須
型url · audio
駆動音声を指すURL。
pose_style任意
型integer
デフォルト0
0 – 45
ポーズに使用するスタイル。
face_model_resolution任意
型enum
デフォルト256
256512
顔モデルが使用する解像度。
expression_scale任意
型number
デフォルト1
0 – 3
表情のスケーリング係数。
face_enhancer任意
型string | null
適用する顔補正の種類。
still_mode任意
型boolean
デフォルトfalse
`full` 前処理の使用時に頭部の動きを抑える静止モード。
preprocess任意
型enum
デフォルトcrop
cropextcropresizefullextfull
適用する前処理方法。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "sadtalker",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 4500,
    "usd": "4.50",
    "charged": 4500,
    "refunded": 0
  },
  "input": {
    "source_image_url": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg",
    "driven_audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size}生成動画のURL。

その他のモデル: リップシンクとアバター

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/sadtalker.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt